Package org.snpsift.antlr

# Class SnpSiftParser.ExpressionContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.snpsift.antlr.SnpSiftParser.ExpressionContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Direct Known Subclasses:
  `SnpSiftParser.ExpressionCompContext`, `SnpSiftParser.ExpressionCondContext`, `SnpSiftParser.ExpressionExistsContext`, `SnpSiftParser.ExpressionLogicContext`, `SnpSiftParser.ExpressionParenContext`, `SnpSiftParser.ExpressionPlusContext`, `SnpSiftParser.ExpressionSetContext`, `SnpSiftParser.ExpressionTimesContext`, `SnpSiftParser.ExpressionUnaryContext`, `SnpSiftParser.FunctionCallContext`, `SnpSiftParser.LiteralBoolContext`, `SnpSiftParser.LiteralFloatContext`, `SnpSiftParser.LiteralIndexContext`, `SnpSiftParser.LiteralIntContext`, `SnpSiftParser.LiteralStringContext`, `SnpSiftParser.VarReferenceContext`, `SnpSiftParser.VarReferenceListContext`, `SnpSiftParser.VarReferenceListSubContext`

Enclosing class:
  `SnpSiftParser`

public static class SnpSiftParser.ExpressionContext extends org.antlr.v4.runtime.ParserRuleContext

## Field Summary

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionContext()`
`ExpressionContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

## Method Summary

Modifier and Type
Method
Description
`void`
`copyFrom(SnpSiftParser.ExpressionContext ctx)`
`int`
`getRuleIndex()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExpressionContext

public ExpressionContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

### ExpressionContext

public ExpressionContext()

## Method Details

### getRuleIndex

public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

### copyFrom

public void copyFrom(SnpSiftParser.ExpressionContext ctx)